<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/BluetoothImplementations/BlueZ/test/Mock/include/MockDBusProxy.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_27114e8c504df5f4609f20f7d28eb6fc.html">BluetoothImplementations</a></li><li class="navelem"><a class="el" href="dir_734f87f436384b5f4d3ce6cedeff05c0.html">BlueZ</a></li><li class="navelem"><a class="el" href="dir_746e94396b4d62eddf48b1557d37ad77.html">test</a></li><li class="navelem"><a class="el" href="dir_8627af5bed3aa07afae506ab234c7450.html">Mock</a></li><li class="navelem"><a class="el" href="dir_9835a71f35d4732a3aa4dee0f524728d.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MockDBusProxy.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_mock_d_bus_proxy_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_BLUETOOTHIMPLEMENTATIONS_BLUEZ_TEST_MOCK_INCLUDE_MOCKDBUSPROXY_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_BLUETOOTHIMPLEMENTATIONS_BLUEZ_TEST_MOCK_INCLUDE_MOCKDBUSPROXY_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;gmock/gmock.h&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;gtest/gtest.h&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_blue_z_utils_8h.html">BlueZ/BlueZUtils.h</a>&quot;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span>bluetoothImplementations {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span>blueZ {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">namespace </span>test {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">using namespace </span>::<a class="code" href="namespacetesting.html">testing</a>;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy.html">   34</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy.html">MockDBusProxy</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy.html">DBusProxy</a> {</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy.html#a81e3922371bebff17a95e59b9f07d59f">   36</a></span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy.html#a81e3922371bebff17a95e59b9f07d59f">MockDBusProxy</a>() : <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy.html">DBusProxy</a>{<span class="keyword">nullptr</span>, <span class="stringliteral">&quot;&quot;</span>} {};</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy.html#adf0138c00ed0a0c598220d69cdbc8bf9">MOCK_METHOD2</a>(<a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy.html#a66fc1cf41f434b017ac93e5407855a40">create</a>, std::shared_ptr&lt;DBusProxy&gt;(<span class="keyword">const</span> std::string&amp;, <span class="keyword">const</span> std::string&amp;));</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy.html#a27b794218a8ebbf9cf68fd0490a14929">MOCK_METHOD3</a>(<a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy.html#a74615a82507e5bc8a253ce13e34246f9">callMethod</a>, <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_managed_g_variant.html">ManagedGVariant</a>(<span class="keyword">const</span> std::string&amp;, GVariant*, GError**));</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy.html#ae0ebcc0fcd3740b8cdbb6b36b54318af">MOCK_METHOD4</a>(<a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy.html#afb7a0400c211451c3563a56cf7f3492d">callMethodWithFDList</a>, <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_managed_g_variant.html">ManagedGVariant</a>(<span class="keyword">const</span> std::string&amp;, GVariant*, GUnixFDList**, GError**));</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy.html#a24bde8dca78b4d8a264e83a6ef3b816a">MOCK_METHOD0</a>(<a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy.html#a20347ff0cf0cbe3890ddc18c570026e7">getObjectPath</a>, std::string());</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy.html#a24bde8dca78b4d8a264e83a6ef3b816a">MOCK_METHOD0</a>(<a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy.html#aa87f575cbcb462863edcbf83177ca969">get</a>, GDBusProxy*());</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;};</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_BLUETOOTHIMPLEMENTATIONS_BLUEZ_TEST_MOCK_INCLUDE_MOCKDBUSPROXY_H_</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;}  <span class="comment">// namespace test</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;}  <span class="comment">// namespace blueZ</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;}  <span class="comment">// namespace bluetoothImplementations</span></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy.html">alexaClientSDK::bluetoothImplementations::blueZ::test::MockDBusProxy</a></div><div class="ttdef"><b>Definition:</b> MockDBusProxy.h:34</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy_html_adf0138c00ed0a0c598220d69cdbc8bf9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy.html#adf0138c00ed0a0c598220d69cdbc8bf9">alexaClientSDK::bluetoothImplementations::blueZ::test::MockDBusProxy::MOCK_METHOD2</a></div><div class="ttdeci">MOCK_METHOD2(create, std::shared_ptr&lt; DBusProxy &gt;(const std::string &amp;, const std::string &amp;))</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy_html_a66fc1cf41f434b017ac93e5407855a40"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy.html#a66fc1cf41f434b017ac93e5407855a40">alexaClientSDK::bluetoothImplementations::blueZ::DBusProxy::create</a></div><div class="ttdeci">static std::shared_ptr&lt; DBusProxy &gt; create(const std::string &amp;interfaceName, const std::string &amp;objectPath)</div><div class="ttdef"><b>Definition:</b> DBusProxy.cpp:49</div></div>
<div class="ttc" id="namespacetesting_html"><div class="ttname"><a href="namespacetesting.html">testing</a></div></div>
<div class="ttc" id="_blue_z_utils_8h_html"><div class="ttname"><a href="_blue_z_utils_8h.html">BlueZUtils.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy_html_ae0ebcc0fcd3740b8cdbb6b36b54318af"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy.html#ae0ebcc0fcd3740b8cdbb6b36b54318af">alexaClientSDK::bluetoothImplementations::blueZ::test::MockDBusProxy::MOCK_METHOD4</a></div><div class="ttdeci">MOCK_METHOD4(callMethodWithFDList, ManagedGVariant(const std::string &amp;, GVariant *, GUnixFDList **, GError **))</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy_html_a20347ff0cf0cbe3890ddc18c570026e7"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy.html#a20347ff0cf0cbe3890ddc18c570026e7">alexaClientSDK::bluetoothImplementations::blueZ::DBusProxy::getObjectPath</a></div><div class="ttdeci">virtual std::string getObjectPath() const</div><div class="ttdef"><b>Definition:</b> DBusProxy.cpp:94</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy_html_a24bde8dca78b4d8a264e83a6ef3b816a"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy.html#a24bde8dca78b4d8a264e83a6ef3b816a">alexaClientSDK::bluetoothImplementations::blueZ::test::MockDBusProxy::MOCK_METHOD0</a></div><div class="ttdeci">MOCK_METHOD0(getObjectPath, std::string())</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy_html_afb7a0400c211451c3563a56cf7f3492d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy.html#afb7a0400c211451c3563a56cf7f3492d">alexaClientSDK::bluetoothImplementations::blueZ::DBusProxy::callMethodWithFDList</a></div><div class="ttdeci">virtual ManagedGVariant callMethodWithFDList(const std::string &amp;methodName, GVariant *parameters=nullptr, GUnixFDList **outlist=nullptr, GError **error=nullptr)</div><div class="ttdef"><b>Definition:</b> DBusProxy.cpp:76</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy_html_a81e3922371bebff17a95e59b9f07d59f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy.html#a81e3922371bebff17a95e59b9f07d59f">alexaClientSDK::bluetoothImplementations::blueZ::test::MockDBusProxy::MockDBusProxy</a></div><div class="ttdeci">MockDBusProxy()</div><div class="ttdef"><b>Definition:</b> MockDBusProxy.h:36</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy.html">alexaClientSDK::bluetoothImplementations::blueZ::DBusProxy</a></div><div class="ttdef"><b>Definition:</b> DBusProxy.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_managed_g_variant_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_managed_g_variant.html">alexaClientSDK::bluetoothImplementations::blueZ::ManagedGVariant</a></div><div class="ttdef"><b>Definition:</b> ManagedGVariant.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy_html_a74615a82507e5bc8a253ce13e34246f9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy.html#a74615a82507e5bc8a253ce13e34246f9">alexaClientSDK::bluetoothImplementations::blueZ::DBusProxy::callMethod</a></div><div class="ttdeci">virtual ManagedGVariant callMethod(const std::string &amp;methodName, GVariant *parameters=nullptr, GError **error=nullptr)</div><div class="ttdef"><b>Definition:</b> DBusProxy.cpp:70</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy_html_a27b794218a8ebbf9cf68fd0490a14929"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy.html#a27b794218a8ebbf9cf68fd0490a14929">alexaClientSDK::bluetoothImplementations::blueZ::test::MockDBusProxy::MOCK_METHOD3</a></div><div class="ttdeci">MOCK_METHOD3(callMethod, ManagedGVariant(const std::string &amp;, GVariant *, GError **))</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy_html_aa87f575cbcb462863edcbf83177ca969"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_proxy.html#aa87f575cbcb462863edcbf83177ca969">alexaClientSDK::bluetoothImplementations::blueZ::DBusProxy::get</a></div><div class="ttdeci">virtual GDBusProxy * get()</div><div class="ttdef"><b>Definition:</b> DBusProxy.cpp:98</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
